- name: Total open SUS-impacting issues by severity
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: The purpose of this chart is to show the total volume of existing issues that impact our SUS score. The labels we're tracking against include "Usability benchmark," "Low SUS Score," "UX scorecard-rec," "cm-scorecard-rec," "UX debt," "UI polish," "accessibility," "VP-UX Dogfooding," "learnability," "UI text," "bug::ux," "maintenance::usability," "~actionable insights::product change," and "pajamas::integrate".
  target: 0 no severity issues, and 0 S1/S2 issues behind the SLA due date
  sisense_data:
    chart: 13419472
    dashboard: 934130
    embed: v2
  org: UX Department
  is_key: true
  health:
    level: 2
    reasons:
    - We've burned down issues with no severity label, as well as S1 issues. There are still ~60 S2 issues.
  dri: <a href="https://gitlab.com/clenneville">Christie Lenneville</a>
- name: Technical Writer MR Rate
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: This PI tracks the number of MRs merged every month using the Technical Writing and UI text labels across all GitLab projects where the team works. We surpassed the goal of 55 MRs per writer in June. A group of writers completed a docs update to match the updated navigation, which added to our overall numbers.  
  target: 55 MRs per technical writer per month
  org: UX Department
  is_key: true
  health:
    level: 2
    reasons:
    - This target rate remains somewhat aspirational.  
  dri: <a href="https://gitlab.com/susantacker">Susan Tacker</a>
  sisense_data:
    chart: 15964722
    dashboard: 462325
    embed: v2
- name: Average research projects per Product Designer
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: Our goal is to use customer research to validate problems and solutions to ensure we
    are building the right things in the right way. We use many research methods,
    including interviews, surveys, usability studies, findability/navigation studies,
    and analytics. Hypothesis that there is a connection between this KPI and SUS
    KPI.
  target: At or greater than 2 validation issues per Product Designer per quarter
  sisense_data:
    chart: 7004937
    dashboard: 462325
    embed: v2
  org: UX Department
  is_key: true
  health:
    level: 2
    reasons:
    - Below target for most of FY22.
  dri: <a href="https://gitlab.com/asmolinski2">Adam Smolinski</a>
- name: Product Design MR review volume
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: Our goal is to provide UX reviews for Merge Requests (MRs) that include user-facing changes, including those impacting screen readers, to help improve the quality of our product and reduce the amount of UX debt. Product Designers follow our <a href="/handbook/product/ux/product-designer/mr-reviews/">MR Review guidelines</a> to conduct these reviews.
  target: At or greater than 200 MR Reviews per month
  sisense_data:
    chart: 12013056
    dashboard: 882285
    embed: v2
  org: UX Department
  is_key: true
  health:
    level: 3
    reasons:
    - New process improvements in place. MR review volume has consistently been near or over target.
- name: UX Team Member Retention
  base_path: "/handbook/engineering/infrastructure/performance-indicators/"
  parent: "/handbook/engineering/performance-indicators/#engineering-team-member-retention"
  definition: We need to be able to retain talented team members. Retention measures our ability to keep them sticking around at GitLab. Team Member Retention = (1-(Number of Team Members leaving GitLab/Average of the 12 month Total Team Member Headcount)) x 100. GitLab measures team member retention over a rolling 12 month period.
  target: at or above 84%
  org: UX Department
  is_key: true
  public: false
  health:
    level: 2
    reasons:
    - Below target with indicators that this trend will continue in the short term.
  urls:
    - "https://app.periscopedata.com/app/gitlab/862334/UX-Department-Retention" 
- name: UX Average Age of Open Positions
  base_path: "/handbook/engineering/infrastructure/performance-indicators/"
  parent: "/handbook/engineering/performance-indicators/#engineering-vacancy-time-to-fill"
  definition: Measures the average time job openings take from open to close. This metric includes sourcing time of candidates compared to Time to Hire or Time to Offer Accept which only measures the time from when a candidate applies to when they accept.
  target: at or below 50 days
  org: UX Department
  is_key: true
  public: true
  health:
    level: 2
    reasons:
    - Consistently higher than the target, but getting better.
  sisense_data:
      chart: 12859254
      dashboard: 930363
      embed: v2
      # filters:
      #     - name: Division
      #       value: Engineering
      #     - name: Department
      #       value: UX
- name: System Usability Scale (SUS) score
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: The <a href="/handbook/product/ux/performance-indicators/system-usability-scale/">System Usability Scale (SUS)</a> is an industry-standard survey that
    measures overall system usability based on 10 questions. Moving a SUS score upward
    even a couple of points on a large system is a significant change. The goal of
    this KPI is to understand how usability of the GitLab product rates against industry
    standards and then track trends over time. Even though UX will be responsible
    for this metric, they will need other departments such as PM and Development to
    positively affect change. See <a href="/handbook/product/ux/performance-indicators/system-usability-scale/index.html#interpreting-sus-scores">our grading scale</a> for details on interpreting scores. To view a detailed breakdown by individual questions from SaaS users, go to the <a href="https://app.periscopedata.com/app/gitlab/816864/SaaS-SUS-Survey-Scores">SaaS dashboard</a>. SaaS SUS data is collected quarterly and Self-Managed data every other quarter. Because of this bi-quarterly collection and gaps in previous collections, Self-Managed data will appear as unlinked points in the Sisense chart below.

  target: 73 by Q4-FY24, 77 by Q4-FY25, 82 by Q4-FY26
  sisense_data:
    chart: 5976554
    dashboard: 462325
    embed: v2
  org: UX Department
  is_key: false
  health:
    level: 1
    reasons:
    - Perceived usability rates as a C+. Overall, we have seen a declining trend in SUS with periods of stabilization.
    - FY22-Q1 focused on <a href="https://gitlab.com/gitlab-com/Product/-/issues/2099">performance and visibility of system status</a>.
    - FY22-Q2 focused on <a href="https://gitlab.com/gitlab-com/www-gitlab-com/-/issues/11204">Merge Request improvements</a>.
    - FY22-Q3 included 104 Pajamas migrations. 
    - FY22-Q4 included 209 Pajamas migrations.
    - FY23-Q1 included 331 Pajamas migrations and burn down of <a href="https://gitlab.com/gitlab-org/gitlab-design/-/issues/1854">9 S1 SUS-Impacting issues</a>.
  dri: <a href="https://gitlab.com/clenneville">Christie Lenneville</a>
- name: SUS-impacting issues opened/closed each month
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: With SUS as a KPI, it's important to ensure that we are opening and closing SUS-impacting issues at an appropriate velocity. UX is responsible for ensuring that issues are opened when appropriate and advocating for their prioritization, while Product Management is the ultimate DRI for prioritization. The labels we're tracking against include "Usability benchmark," "Low SUS Score," "UX scorecard-rec," "cm-scorecard-rec," "UX debt," "UI polish," "accessibility," "VP-UX Dogfooding," "learnability," "UI text," "bug::ux," "maintenance::usability," and "pajamas::integrate".
  target: TBD
  sisense_data:
    chart: 12927544
    dashboard: 934130
    embed: v2
  org: UX Department
  is_key: false
  health:
    level: 0
    reasons:
    - We have not yet determined a target.
  dri: <a href="https://gitlab.com/clenneville">Christie Lenneville</a>
- name: Pajamas component migrations
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: Integrating Pajamas components into GitLab contributes to a cohesive and
    consistent user experience, visually and functionally. This allows users to seemlessly
    transition throughout different stages of the DevOps lifecycle. <a href="https://gitlab.com/groups/gitlab-org/-/epics/3107">38 foundational components</a>
    have been identified in our design system. Legacy UI code in the product needs to be migrated to
    utilize the components built in Pajamas. Even though UX will be responsible
    for this metric, they will need other departments such as PM and Development to
    positively affect change.
  target: Unknown
  org: UX Department
  is_key: false
  health:
    level: 1
    reasons:
     - Target and velocity are unknown at this time, because the current burnup chart is not complete. Foundations will perform accessibility audits, complete blocking accessibility issues, perform FE discovery, create issues for all component instances, and write necessary migration guides when applicable to establish a chart that Development can contribute to burning down.
  dri: <a href="https://gitlab.com/tauriedavis">Taurie Davis</a>
  urls:
    - "https://app.periscopedata.com/app/gitlab/907214/Foundations-KPI:-Pajamas-Component-Migrations"
  sisense_data:
      chart: 12872619
      dashboard: 907214
      embed: v2
- name: Usability benchmarking overall score by stage
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: This PI tracks the overall stage score for <a href="https://about.gitlab.com/handbook/product/ux/ux-research/usability-benchmarking/">usability benchmarking</a> studies performed across stage groups as they change over time. The tasks and workflows that comprise each benchmarking study are derived from JTBD for one or more target personas typical for the stage running the study. The overall score for each study takes into account the performance of each task that was tested, through metrics like completion rate, severity, and customer effort score (CES). The scale is 0-100, where 90-100 is ‘Great’, 80-89 is ‘Good’, 70-79 is ‘Fair’, 69 and below is ‘Poor’.
  target: 5% increase in overall score from previous benchmarking, maintaining an overall score above 79/100. 
  org: UX Department
  is_key: false
  health:
    level: 0
    reasons:
    - Not enough data. Only one benchmarking study has been performed so far.
  dri: <a href="https://gitlab.com/asmolinski2">Adam Smolinski</a>
  urls:
    - "https://app.periscopedata.com/app/gitlab/1012643/Usability-Benchmarking-UX-PI"
  sisense_data:
      chart: 14333331
      dashboard: 1012643
      embed: v2
- name: UX Average Location Factor
  base_path: "/handbook/product/ux/performance-indicators/"
  parent: "/handbook/engineering/performance-indicators/#engineering-average-location-factor"
  definition: We remain efficient financially if we are hiring globally, working asynchronously,
    and hiring great people in low-cost regions where we pay market rates. We track
    an average location factor by function and department so managers can make tradeoffs
    and hire in an expensive region when they really need specific talent unavailable
    elsewhere, and offset it with great people who happen to be in low cost areas.
  target: at or below 0.63
  org: UX Department
  is_key: false
  health:
    level: 2
    reasons:
    - We are actively recruiting in lower LF regions; however, UX talent tends to be concentrated in higher LF regions. Additionally, the LF in some relevant regions increased during the last comp adjustment.
  sisense_data:
    chart: 7003912
    dashboard: 462325
    embed: v2
- name: UX Budget Plan vs Actuals
  base_path: "/handbook/product/ux/performance-indicators/"
  parent: "/handbook/engineering/performance-indicators/#engineering-non-headcount-budget-vs-plan"
  definition: We need to spend our investors' money wisely. We also need to run a
    responsible business to be successful.
  target: See Sisense for target
  org: UX Department
  is_key: false
  health:
    level: 0
    reasons:
    - Data now lives in adaptive for FY22, not in data warehouse. This is a Q2 FY 22 priority for the data team.
    - There is currently a data lag to resolve.
  urls:
  - https://app.periscopedata.com/app/gitlab/632490/UX-Non-Headcount-BvAs
- name: UX Department MR Rate
  base_path: "/handbook/product/ux/performance-indicators/"
  parent: "/handbook/engineering/performance-indicators/#engineering-mr-rate"
  definition: UX Department MR Rate is a performance indicator showing how many changes the UX team implements
    directly in the GitLab product. We currently count all members of the UX Department
    (Directors, Managers, ICs) in the denominator, because this is a team effort.
    The full definition of MR Rate is linked in the url section.
  target: Greater than TBD MRs per month
  org: UX Department
  is_key: false
  health:
    level: 2
    reasons:
    - We don't yet know what a good MR rate looks like for UX. Need accurate data
      to determine.
    - UX MR rate doesn't accurately reflect all MRs to which UX contributes, because
      we often collaborate on MRs rather than opening them ouselves.
  urls:
    - "/handbook/engineering/metrics/#merge-request-rate"
    - https://gitlab.com/gitlab-data/analytics/-/issues/4448
  sisense_data:
    chart: 8934462
    dashboard: 686928
    shared_dashboard: 98e50197-4564-47f1-8a70-aa156c1c52e3
    embed: v2
- name: UX Department New Hire Average Location Factor
  base_path: "/handbook/product/ux/performance-indicators/"
  parent: "/handbook/engineering/performance-indicators/#engineering-division-new-hire-average-location-factor"
  definition: We remain efficient financially if we are hiring globally, working asynchronously,
    and hiring great people in low-cost regions where we pay market rates. We track
    an average location factor for team members hired within the past 3 months so
    hiring managers can make tradeoffs and hire in an expensive region when they really
    need specific talent unavailable elsewhere, and offset it with great people who
    happen to be in more efficient location factor areas with another hire. The historical average location factor represents the average location factor for only new hires in the last three months, excluding internal hires and promotions. The calculation for the three-month rolling average location factor is the location factor of all new hires in the last three months divided by the number of new hires in the last three months for a given hire month. The data source is Workday data.
  target: Below 0.58
  org: UX Department
  is_key: false
  health:
    level: 2
    reasons:
    - We are actively recruiting in lower LF regions; however, UX talent tends to be concentrated in higher LF regions. Additionally, the LF in some relevant regions increased during the last comp adjustment.
  sisense_data:
    chart: 9389215
    dashboard: 719538
    embed: v2
- name: UX Department Discretionary Bonus Rate
  parent: "/handbook/engineering/performance-indicators/#engineering-discretionary-bonus-rate"
  base_path: "/handbook/engineering/performance-indicators/"
  definition: The number of discretionary bonuses given divided by the total number of team members, in a given period as defined. This metric definition is taken from the <a href="/handbook/people-group/people-success-performance-indicators/#discretionary-bonuses">People Success Discretionary Bonuses KPI</a>.
  target: at or above 10%
  org: UX Department
  is_key: false
  health:
    level: 2
    reasons:
      - Metric is new and is being monitored
  sisense_data:
    chart: 11860249
    dashboard: 873088
    embed: v2
    filters:
      - name: Breakout
        value: Department
      - name: Breakout_Division_Department
        value: Engineering - UX
- name: Actionable insights
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: Actionable insights originate from user research. They always have the 'Actionable Insight' label applied to the resulting issue and a clear follow up that needs to take place as a result of the research observation or data. An actionable insight both defines the insight and clearly calls out the next step as a recommendation. The goal of this KPI is to ensure we're documenting research insights that are actionable and tracking their closure rate.
  target: TBD
  sisense_data:
    chart: 9556859
    dashboard: 462325
    embed: v2
  org: UX Department
  is_key: false
  health:
    level: 3
    reasons:
    - Q3 FY21 was spent establishing a baseline.  Now that there's ample data available, we'll take two steps.  Step 1 - investigate the oldest open actionable insights to understand why they have not been closed.  Step 2 - track the average time for actionable insights to be closed.
  dri: <a href="https://gitlab.com/asmolinski2">Adam Smolinski</a>
- name: UX Debt
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: <a href="https://about.gitlab.com/handbook/engineering/workflow/#ux-debt">UX Debt</a> means that for a given issue, we failed to meet defined standards
    for our Design system or for usability and feature viability standards as defined
    in agreed-upon design assets. When we fail to ship something according to defined
    standards, we track the resulting issues with a "UX debt" label. Even though UX
    will be responsible for this metric, they will need other departments such as
    PM and Development to positively affect change.
  target: Below 50 open "ux debt" issues
  sisense_data:
    chart: 6599301
    dashboard: 462325
    embed: v2
  org: UX Department
  is_key: false
  health:
    level: 2
    reasons:
    - Total amount of UX debt has decreased, but it is still above target. 
    - See the <a href="https://app.periscopedata.com/app/gitlab/641753/UX-Debt">UX
      Debt dashboard</a> for a breakdown by stage group.
    - We are actively working with PMs to prioritize UX Debt. Some stage groups are
      committing to resolving a minimum number of UX Debt issues per milestone (generally,
      a commitment of no less than one issue). We will track this effort and make
      adjustments as we see the results.
  dri: <a href="https://gitlab.com/vkarnes">Valerie Karnes</a>
- name: Open UX Debt Age
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: Age of outstanding <a href="https://about.gitlab.com/handbook/engineering/workflow/#ux-debt">UX Debt</a> issues. UX Debt means that for a given issue, we failed to meet defined standards. Age represented via median of days opened.
  sisense_data:
    chart: 11954760
    dashboard: 462325
    embed: v2
  org: UX Department
  target: At or below 150 days
  is_key: false
  health:
    level: 2
    reasons:
      - Average days to close a "UX debt" issue is trending downward and is nearing our target.
      - We will monitor to see if the trend continues.
  dri: <a href="https://gitlab.com/vkarnes">Valerie Karnes</a>

- name: Technical Writing collaboration on UI text
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: Historically, Technical Writers were not consistently included in the creation of UI text. Since UI text is critical to product usability, Technical Writing involvement can help improve the quality of our UI.     
    This chart includes issues and MRs with the Technical Writing and UI text labels, because Technical Writing contributions happen in both places.
  target: TBD
  org: UX Department
  is_key: false
  health:
    level: 0
    reasons:
    - We are watching this metric to determine a target, because historical data is inconsistent.    
  dri: <a href="https://gitlab.com/susantacker">Susan Tacker</a>
  sisense_data:
    chart: 12963522
    dashboard: 462325
    embed: v2
- name: Product Designer Gearing Ratio
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: Number of Product designers against the targeted <a href="https://about.gitlab.com/handbook/product/ux/how-we-work/#headcount-planning">gearing ratio</a>
  target: At 57 product designers
  org: UX Department
  is_key: false
  health:
    level: 2
    reasons:
    -  At 47% of targeted gearing ratio
  sisense_data:
    chart: 9669252
    dashboard: 740180
    embed: v2
- name: Technical Writer Gearing Ratio
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: Number of Technical Writers against the targeted <a href="https://about.gitlab.com/handbook/product/ux/how-we-work/#headcount-planning">gearing ratio</a>
  target: At 19 technical writers
  org: UX Department
  is_key: false
  health:
    level: 2
    reasons:
    -  At 63% of targeted gearing ratio
  
  sisense_data:
    chart: 9669362
    dashboard: 740180
    embed: v2
- name: UX Researcher Gearing Ratio
  base_path: "/handbook/product/ux/performance-indicators/"
  definition: Number of researchers against the targeted <a href="https://about.gitlab.com/handbook/product/ux/how-we-work/#headcount-planning">gearing ratio</a>
  target: At 11 researchers
  org: UX Department
  is_key: false
  health:
    level: 2
    reasons:
    -  At 72% of targeted gearing ratio
  sisense_data:
    chart: 9669466
    dashboard: 740180
    embed: v2
- name: UX Department Promotion Rate
  base_path: "/handbook/engineering/performance-indicators/"
  definition: The total number of promotions over a rolling 12 month period divided by the month end headcount. The target promotion rate is 12% of the population. This metric definition is taken from the <a href="https://about.gitlab.com/handbook/people-group/people-success-performance-indicators/#promotion-rate">People Success Team Member Promotion Rate PI</a>.
  target: 12%
  org: UX Department
  is_key: false
  health:
    level: 3
    reasons:
      - Metric is new and is being monitored
  sisense_data:
    chart: 11860231
    dashboard: 873087
    embed: v2
    filters:
      - name: Breakout
        value: Department
      - name: Breakout_Division_Department
        value: Engineering - UX
